## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

# prevent library files from being installed
%global cargo_install_lib 0

%global crate gotify-desktop

Name:           gotify-desktop
Version:        1.3.7
Release:        %autorelease
Summary:        Small Gotify daemon to receive and forward messages

# (Apache-2.0 OR MIT) AND BSD-3-Clause
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR ISC OR MIT
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-3-Clause
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MIT OR Zlib OR Apache-2.0
# MPL-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
#
# Creative Commons Attribution Public License (v4.0)
# -----------------------------------------------------------------
# gotify-logo-small.svg
#
# LICENSE.dependencies contains a full license breakdown
License:        GPL-3.0-only AND CC-BY-4.0 AND Apache-2.0 AND BSD-3-Clause AND MIT AND MPL-2.0 AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR ISC OR MIT) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (Unlicense OR MIT)
SourceLicense:  GPL-3.0-only

URL:            https://github.com/desbma/gotify-desktop
Source0:         https://github.com/desbma/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
# * SVG icon
Source2:        https://raw.githubusercontent.com/gotify/logo/master/gotify-logo-small.svg
# Manually created patch for downstream crate metadata changes
Patch:          gotify-desktop-add-license.diff

BuildRequires:  cargo-rpm-macros >= 26
BuildRequires:  desktop-file-utils
BuildRequires:  hicolor-icon-theme

# See https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

%global _description %{expand:
Small Gotify daemon to receive messages and forward them as desktop notifications. Read Gotify messages, and forward them as standard desktop notification. Forward message priority. Auto reconnect if server connection is lost and get missed messages. Automatically download, cache, and show app icons.}

%description %{_description}

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
desktop-file-install --mode=644 --dir=%{buildroot}%{_datadir}/applications desktop/%{name}.desktop
install -Dm 644 %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/gotify-logo-small.svg

%if %{with check}
%check
%cargo_test
%endif

%files
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/gotify-desktop
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/gotify-logo-small.svg

%changelog
## START: Generated by rpmautospec
* Mon Aug 05 2024 Alessio <alciregi@fedoraproject.org> - 1.3.7-2
- Added ExcludeArch ix86

* Mon Aug 05 2024 Alessio <alciregi@fedoraproject.org> - 1.3.7-1
- Initial import (fedora#2268499).
## END: Generated by rpmautospec
